Skip to main content
PUT
/
account
/
instances
/
defaults
Update instance defaults
curl --request PUT \
  --url https://wsapi.chat/account/instances/defaults \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "defaultWebhookUrl": "<string>",
  "defaultSigningSecret": "<string>",
  "defaultEventFilters": [
    "<string>"
  ],
  "defaultHistorySync": true,
  "defaultPullMode": true
}
'
{
  "status": 400,
  "detail": "invalid request body"
}

Authorizations

X-Api-Key
string
header
required

Customer API key. Only the customer-level key is accepted for /account/* endpoints. No X-Instance-Id header is required.

Body

application/json
defaultWebhookUrl
string | null
defaultSigningSecret
string | null
defaultEventFilters
string[] | null
defaultHistorySync
boolean
defaultPullMode
boolean

Response

Defaults updated